<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/ActionDialCombinationLockOnTarget.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d30/_action_dial_combination_lock_on_target_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionDialCombinationLockOnTarget.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d30/_action_dial_combination_lock_on_target_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../dc/d30/_action_dial_combination_lock_on_target_8c.html#ae05d93b99800d5ae81e0733aa22f8137">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/d22/class_action_dial_combination_lock_on_target_c_b.html">ActionDialCombinationLockOnTargetCB</a> : <a class="code hl_class" href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/d22/class_action_dial_combination_lock_on_target_c_b.html#a2195fbabf87cfa881998f16b9ef14519">    3</a></span>    <span class="keyword">private</span> <span class="keyword">const</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../da/d22/class_action_dial_combination_lock_on_target_c_b.html#a2195fbabf87cfa881998f16b9ef14519">REPEAT_AFTER_SEC</a> = 0.5;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../da/d22/class_action_dial_combination_lock_on_target_c_b.html#a258118d783eaa512e2c7658b6c63aa6d">    5</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d22/class_action_dial_combination_lock_on_target_c_b.html#a258118d783eaa512e2c7658b6c63aa6d">CreateActionComponent</a>()</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    {</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/dec/class_c_a_continuous_repeat.html">CAContinuousRepeat</a>(<a class="code hl_variable" href="../../da/d22/class_action_dial_combination_lock_on_target_c_b.html#a2195fbabf87cfa881998f16b9ef14519">REPEAT_AFTER_SEC</a>);</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    }</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>}</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="keyword">class </span><a class="code hl_function" href="../../dc/d30/_action_dial_combination_lock_on_target_8c.html#ae05d93b99800d5ae81e0733aa22f8137">ActionDialCombinationLockOnTarget</a>: <a class="code hl_class" href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>{</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d30/_action_dial_combination_lock_on_target_8c.html#ae05d93b99800d5ae81e0733aa22f8137">ActionDialCombinationLockOnTarget</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../dc/d30/_action_dial_combination_lock_on_target_8c.html#a7204f4dfc860275b303e6b0a0616780c">   14</a></span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        m_CallbackClass = <a class="code hl_class" href="../../da/d22/class_action_dial_combination_lock_on_target_c_b.html">ActionDialCombinationLockOnTargetCB</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../dc/d30/_action_dial_combination_lock_on_target_8c.html#a17f2af33a182c394047e5b9628174981">   16</a></span>        m_CommandUID = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_OPENITEM;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        m_CommandUIDProne = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_OPENITEM;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> = <a class="code hl_class" href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a>.<a class="code hl_variable" href="../../d0/dbd/class_u_a_soft_skills_weight.html#a123369fe4d5de03cd63e4a047eb71f3b">ROUGH_LOW</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#dial_combination_lock&quot;</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    }</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../dc/d30/_action_dial_combination_lock_on_target_8c.html#a6b922d3bb1d26f790bc52030566ba2df">   23</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a2b51b597584b73ec40f634b025439fc8">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../dc/ddd/class_c_c_t_non_ruined.html">CCTNonRuined</a>( <a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a> );</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../dc/d30/_action_dial_combination_lock_on_target_8c.html#addc04d3967e021e6b6bd259b82de083e">   29</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d94/class_animated_action_base.html#abdf3c5a382d713acfada09f7969249d7">HasProneException</a>()</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../dc/d30/_action_dial_combination_lock_on_target_8c.html#a2b6dbc5004ccc3fb83b39577c5ae9b32">   34</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d59/_action_base_8c.html#a6d439a83ba8a22d5c6112f814e7a2ab7">OnActionInfoUpdate</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = player.GetConstructionActionData();</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#dial_combination_lock &quot;</span> + construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#a56dba178c5c4f9ea78dda6a259b9fbb5">GetDialNumberText</a>();</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span> </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../dc/d30/_action_dial_combination_lock_on_target_8c.html#ab6eb153abc42e514909126c621d01280">   40</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d6/d3f/class_action_continuous_base.html#a15cd8c20c3fe196bd5ff42601ac0c80c">GetInputType</a>()</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../dd/d7f/class_continuous_interact_action_input.html">ContinuousInteractActionInput</a>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../dc/d30/_action_dial_combination_lock_on_target_8c.html#aa9aa4864fae11769c65e644b5fd97c66">   45</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d94/class_animated_action_base.html#ae338157ec9f5c25f4230fecde59799c7">ActionCondition</a> ( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">if</span> (!target.GetObject())</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_class" href="../../d5/d3c/class_combination_lock.html">CombinationLock</a> lock = <a class="code hl_class" href="../../d5/d3c/class_combination_lock.html">CombinationLock</a>.Cast( target.GetObject() );</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">if</span> ( lock &amp;&amp; lock.GetHierarchyParent() &amp;&amp; Fence.Cast(lock.GetHierarchyParent()) )</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = player.GetConstructionActionData();</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>            construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#a28c40f4f5733c161d21030da2f6bd504">SetCombinationLock</a>( lock );</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>            </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="../../dc/d30/_action_dial_combination_lock_on_target_8c.html#a00cda41fe9dd093059da5c4b83b591bc">   62</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/d3f/class_action_continuous_base.html#ae6fe10fd2a2c6266cf5cb1b6d62d826f">OnFinishProgressServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    {   </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <span class="comment">//set dialed number</span></div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <a class="code hl_class" href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a> construction_action_data = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetConstructionActionData();</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_class" href="../../d5/d3c/class_combination_lock.html">CombinationLock</a> combination_lock =  construction_action_data.<a class="code hl_function" href="../../d9/dd2/class_construction_action_data.html#a58f6c9cedffdd1c668336a19d121b9d3">GetCombinationLock</a>();</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">if</span> ( combination_lock )</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            combination_lock.DialNextNumber();</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <span class="comment">//check for unlock state</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <span class="keywordflow">if</span> ( !combination_lock.IsLockedOnGate() )</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>                <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> target_entity = <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a>.Cast( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject() );</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>                combination_lock.UnlockServer( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>, target_entity.GetHierarchyParent() );</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>}</div>
<div class="ttc" id="a_action_base_8c_html_a2b51b597584b73ec40f634b025439fc8"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a2b51b597584b73ec40f634b025439fc8">CreateConditionComponents</a></div><div class="ttdeci">void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00205">ActionBase.c:205</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a37c66588f056fd9eb9eb3a4c4890083d"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a></div><div class="ttdeci">protected float m_SpecialtyWeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00068">ActionBase.c:68</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a6d439a83ba8a22d5c6112f814e7a2ab7"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a6d439a83ba8a22d5c6112f814e7a2ab7">OnActionInfoUpdate</a></div><div class="ttdeci">void OnActionInfoUpdate(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l01040">ActionBase.c:1040</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_dial_combination_lock_on_target_8c_html_ae05d93b99800d5ae81e0733aa22f8137"><div class="ttname"><a href="../../dc/d30/_action_dial_combination_lock_on_target_8c.html#ae05d93b99800d5ae81e0733aa22f8137">ActionDialCombinationLockOnTarget</a></div><div class="ttdeci">ActionDialCombinationLockOnTargetCB ActionContinuousBaseCB ActionDialCombinationLockOnTarget()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d30/_action_dial_combination_lock_on_target_8c_source.html#l00001">ActionDialCombinationLockOnTarget.c:13</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="aclass_action_base_c_b_html_ab8c5796aa8f98fa679639b14db60813f"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">ActionBaseCB::m_ActionData</a></div><div class="ttdeci">protected ActionData m_ActionData</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00003">AnimatedActionBase.c:3</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_c_b_html"><div class="ttname"><a href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00001">ActionContinuousBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00131">ActionContinuousBase.c:132</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html_a15cd8c20c3fe196bd5ff42601ac0c80c"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html#a15cd8c20c3fe196bd5ff42601ac0c80c">ActionContinuousBase::GetInputType</a></div><div class="ttdeci">override GetInputType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00163">ActionContinuousBase.c:163</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html_ae6fe10fd2a2c6266cf5cb1b6d62d826f"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html#ae6fe10fd2a2c6266cf5cb1b6d62d826f">ActionContinuousBase::OnFinishProgressServer</a></div><div class="ttdeci">protected void OnFinishProgressServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00248">ActionContinuousBase.c:248</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_a82934edb9e2ee84d9c8a45aa66242075"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">ActionData::m_ActionComponent</a></div><div class="ttdeci">ref CABase m_ActionComponent</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00030">ActionBase.c:30</a></div></div>
<div class="ttc" id="aclass_action_dial_combination_lock_on_target_c_b_html"><div class="ttname"><a href="../../da/d22/class_action_dial_combination_lock_on_target_c_b.html">ActionDialCombinationLockOnTargetCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d30/_action_dial_combination_lock_on_target_8c_source.html#l00001">ActionDialCombinationLockOnTarget.c:2</a></div></div>
<div class="ttc" id="aclass_action_dial_combination_lock_on_target_c_b_html_a2195fbabf87cfa881998f16b9ef14519"><div class="ttname"><a href="../../da/d22/class_action_dial_combination_lock_on_target_c_b.html#a2195fbabf87cfa881998f16b9ef14519">ActionDialCombinationLockOnTargetCB::REPEAT_AFTER_SEC</a></div><div class="ttdeci">private const float REPEAT_AFTER_SEC</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d30/_action_dial_combination_lock_on_target_8c_source.html#l00003">ActionDialCombinationLockOnTarget.c:3</a></div></div>
<div class="ttc" id="aclass_action_dial_combination_lock_on_target_c_b_html_a258118d783eaa512e2c7658b6c63aa6d"><div class="ttname"><a href="../../da/d22/class_action_dial_combination_lock_on_target_c_b.html#a258118d783eaa512e2c7658b6c63aa6d">ActionDialCombinationLockOnTargetCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d30/_action_dial_combination_lock_on_target_8c_source.html#l00005">ActionDialCombinationLockOnTarget.c:5</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_abdf3c5a382d713acfada09f7969249d7"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#abdf3c5a382d713acfada09f7969249d7">AnimatedActionBase::HasProneException</a></div><div class="ttdeci">override bool HasProneException()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00244">AnimatedActionBase.c:244</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_ae338157ec9f5c25f4230fecde59799c7"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#ae338157ec9f5c25f4230fecde59799c7">AnimatedActionBase::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00220">AnimatedActionBase.c:220</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_repeat_html"><div class="ttname"><a href="../../dc/dec/class_c_a_continuous_repeat.html">CAContinuousRepeat</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d6c/_c_a_continuous_repeat_8c_source.html#l00001">CAContinuousRepeat.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_non_ruined_html"><div class="ttname"><a href="../../dc/ddd/class_c_c_t_non_ruined.html">CCTNonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/da0/_c_c_t_non_ruined_8c_source.html#l00001">CCTNonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_combination_lock_html"><div class="ttname"><a href="../../d5/d3c/class_combination_lock.html">CombinationLock</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/de7/_combination_lock4_8c_source.html#l00001">CombinationLock4.c:2</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html">ConstructionActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00001">ConstructionActionData.c:2</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html_a28c40f4f5733c161d21030da2f6bd504"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html#a28c40f4f5733c161d21030da2f6bd504">ConstructionActionData::SetCombinationLock</a></div><div class="ttdeci">void SetCombinationLock(CombinationLock combination_lock)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00194">ConstructionActionData.c:194</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html_a56dba178c5c4f9ea78dda6a259b9fbb5"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html#a56dba178c5c4f9ea78dda6a259b9fbb5">ConstructionActionData::GetDialNumberText</a></div><div class="ttdeci">string GetDialNumberText()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00199">ConstructionActionData.c:199</a></div></div>
<div class="ttc" id="aclass_construction_action_data_html_a58f6c9cedffdd1c668336a19d121b9d3"><div class="ttname"><a href="../../d9/dd2/class_construction_action_data.html#a58f6c9cedffdd1c668336a19d121b9d3">ConstructionActionData::GetCombinationLock</a></div><div class="ttdeci">CombinationLock GetCombinationLock()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d9b/_construction_action_data_8c_source.html#l00189">ConstructionActionData.c:189</a></div></div>
<div class="ttc" id="aclass_continuous_interact_action_input_html"><div class="ttname"><a href="../../dd/d7f/class_continuous_interact_action_input.html">ContinuousInteractActionInput</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df5/_action_input_8c_source.html#l00521">ActionInput.c:522</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00114">ActionConstants.c:115</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html_a123369fe4d5de03cd63e4a047eb71f3b"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html#a123369fe4d5de03cd63e4a047eb71f3b">UASoftSkillsWeight::ROUGH_LOW</a></div><div class="ttdeci">const float ROUGH_LOW</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00116">ActionConstants.c:116</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_c32df7f94f13da663005da9ea489a0b6.html">Continuous</a></li><li class="navelem"><a class="el" href="../../dc/d30/_action_dial_combination_lock_on_target_8c.html">ActionDialCombinationLockOnTarget.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
